package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Did;
import com.brilliance.isc.bo.Dit;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Didgrp extends AbstractCommonVo {

    private Did rec;

    private Dit blk;

    private Diacbs cbs;

    private PtsptaVo ben;

    private PtsptaVo adv;

    private PtsptaVo apl;

    private PtsptaVo ini;

    private PtsptaVo rmb;

    private PtsptaVo a2b;

    private PtsptaVo avb;

    private PtsptaVo drw;

    private PtsptaVo tp0;

    private PtsptaVo tp1;

    private PtsptaVo tp2;

    private PtsptaVo tp3;

    private PtsptaVo tp4;

    private PtsptaVo tp5;

    private PtsptaVo tp6;

    private PtsptaVo tp7;

    private PtsptaVo tp8;

    private PtsptaVo tp9;

    private PtsptaVo oap;

    private PtsptaVo cmb;

    private PtsptaVo age;

    private PtsptaVo iss;

    private PtsptaVo neg;

    private PtsptaVo con;

    private PtsptaVo apb;

    private PtsptaVo beb;

    private PtsptaVo apc;

    private String avbnam = NULLSTR;

    @Override
    public void reset() {
        if (rec == null) {
            rec = new Did();
        }
        if (blk == null) {
            blk = new Dit();
        }
        if (cbs == null) {
            cbs = new Diacbs();
        }
        cbs.reset();
        if (ben == null) {
            ben = new PtsptaVo();
        }
        ben.reset();
        if (adv == null) {
            adv = new PtsptaVo();
        }
        adv.reset();
        if (apl == null) {
            apl = new PtsptaVo();
        }
        apl.reset();
        if (ini == null) {
            ini = new PtsptaVo();
        }
        ini.reset();
        if (rmb == null) {
            rmb = new PtsptaVo();
        }
        rmb.reset();
        if (a2b == null) {
            a2b = new PtsptaVo();
        }
        a2b.reset();
        if (avb == null) {
            avb = new PtsptaVo();
        }
        avb.reset();
        if (drw == null) {
            drw = new PtsptaVo();
        }
        drw.reset();
        if (tp0 == null) {
            tp0 = new PtsptaVo();
        }
        tp0.reset();
        if (tp1 == null) {
            tp1 = new PtsptaVo();
        }
        tp1.reset();
        if (tp2 == null) {
            tp2 = new PtsptaVo();
        }
        tp2.reset();
        if (tp3 == null) {
            tp3 = new PtsptaVo();
        }
        tp3.reset();
        if (tp4 == null) {
            tp4 = new PtsptaVo();
        }
        tp4.reset();
        if (tp5 == null) {
            tp5 = new PtsptaVo();
        }
        tp5.reset();
        if (tp6 == null) {
            tp6 = new PtsptaVo();
        }
        tp6.reset();
        if (tp7 == null) {
            tp7 = new PtsptaVo();
        }
        tp7.reset();
        if (tp8 == null) {
            tp8 = new PtsptaVo();
        }
        tp8.reset();
        if (tp9 == null) {
            tp9 = new PtsptaVo();
        }
        tp9.reset();

        if (oap == null) {
            oap = new PtsptaVo();
        }
        oap.reset();
        if (cmb == null) {
            cmb = new PtsptaVo();
        }
        cmb.reset();
        if (age == null) {
            age = new PtsptaVo();
        }
        age.reset();
        if (iss == null) {
            iss = new PtsptaVo();
        }
        iss.reset();
        if (neg == null) {
            neg = new PtsptaVo();
        }
        neg.reset();
        if (con == null) {
            con = new PtsptaVo();
        }
        con.reset();
        if (apb == null) {
            apb = new PtsptaVo();
        }
        apb.reset();
        if (beb == null) {
            beb = new PtsptaVo();
        }
        beb.reset();
        if (apc == null) {
            apc = new PtsptaVo();
        }
        apc.reset();
    }
}
